public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Zac Medico" <zmedico@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-misc/yq-go/
Date: Sun, 11 Aug 2024 20:24:17 +0000 (UTC)	[thread overview]
Message-ID: <1723407853.fc83101dc52cada9570908e7f5850cd60af26aaa.zmedico@gentoo> (raw)

commit:     fc83101dc52cada9570908e7f5850cd60af26aaa
Author:     Zac Medico <zmedico <AT> gentoo <DOT> org>
AuthorDate: Sun Aug 11 20:22:58 2024 +0000
Commit:     Zac Medico <zmedico <AT> gentoo <DOT> org>
CommitDate: Sun Aug 11 20:24:13 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fc83101d

app-misc/yq-go: add 4.44.3

Signed-off-by: Zac Medico <zmedico <AT> gentoo.org>

 app-misc/yq-go/Manifest            |  2 ++
 app-misc/yq-go/yq-go-4.44.3.ebuild | 35 +++++++++++++++++++++++++++++++++++
 2 files changed, 37 insertions(+)

diff --git a/app-misc/yq-go/Manifest b/app-misc/yq-go/Manifest
index 8052e047881a..f35953d5052c 100644
--- a/app-misc/yq-go/Manifest
+++ b/app-misc/yq-go/Manifest
@@ -1,2 +1,4 @@
 DIST yq-4.44.2-deps.tar.xz 1376032 BLAKE2B ddb988d0eea1aa444ad952ee0aa57d54a6276c7f4a1c5113aa85f1793789efcdb818d0d06a4def1d66e013f1351dfb430a3013770032abd453737cc7e7455540 SHA512 459e45068e8048a0ca14a024d3114260437f20426b30351c80e9ee4877dd7ef175c52e54a63dc9e131aaad6a3eac8b7777361b23f0f06e7257f8b45f20c5dda0
 DIST yq-4.44.2.tar.gz 297469 BLAKE2B 912436af43b94cd5dc12ac5a9ff04071f35123632b950da1c5324e9ccc4b931815da92f75067055041f9dbe02a3948f716655e7dfe3feb9cab2969ee52f69fc2 SHA512 8b81c617dde83487445b8a85f34bb28a363238f58b6b06d7e4b5c3becdafde8f62702acd71ed33eb85601f66e2abec80edbbf1490df90eb67ece55948254c263
+DIST yq-4.44.3-deps.tar.xz 1376444 BLAKE2B dbccf16fa939991f01762efec5f14f86394a9ff43c46dbe504040a36bf60df4402734a7883c7281617fa43f7f4c8e208b65885f6279648b8ad417cdc8ac9f4de SHA512 0460ba42cc318193b09ab88961dc49e26934a74986f6a9c196e3bceb4d7842401604727be0bd63ba18fa93a237e9b401250b580cc628dd7c61fded86560a0bc9
+DIST yq-4.44.3.tar.gz 297938 BLAKE2B 9a4e382e2fb5862302aafca2268d8551232b0636adae560151acca1060d8e09c46dc36eee8597d7763d50fc53f36fdc8c1ff3df81f88f637f6b4ad5714c6e116 SHA512 ad4971d7a2f3a4355a696027a178d05b7388b26241a097fc8d222f81fb8ed18b908d0e2cefe0210f70bf4e5ee2becef61206def40e908be20e60d5a074c38bb5

diff --git a/app-misc/yq-go/yq-go-4.44.3.ebuild b/app-misc/yq-go/yq-go-4.44.3.ebuild
new file mode 100644
index 000000000000..277186a7f1e3
--- /dev/null
+++ b/app-misc/yq-go/yq-go-4.44.3.ebuild
@@ -0,0 +1,35 @@
+# Copyright 2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+inherit go-module
+
+DESCRIPTION="yq is a lightweight and portable command-line YAML, JSON and XML processor"
+HOMEPAGE="https://github.com/mikefarah/yq"
+SRC_URI="https://github.com/mikefarah/yq/archive/refs/tags/v${PV}.tar.gz -> ${P/-go/}.tar.gz
+	https://dev.gentoo.org/~zmedico/dist/${P/-go/}-deps.tar.xz"
+
+S=${WORKDIR}/${P/-go/}
+LICENSE="MIT"
+LICENSE+=" Apache-2.0 BSD BSD-2"
+SLOT="0"
+KEYWORDS="~amd64 ~loong"
+IUSE="+yq-symlink"
+DOCS=(README.md)
+RDEPEND="yq-symlink? ( !app-misc/yq[yq-symlink(+)] )"
+
+src_compile() {
+	CGO_ENABLED=0 ego build -ldflags "-X main.GitDescribe=v${PV} -s -w"
+}
+
+src_install() {
+	einstalldocs
+	newbin yq yq-go
+	if use yq-symlink; then
+		dosym yq-go /usr/bin/yq
+	fi
+}
+
+src_test() {
+	./scripts/test.sh || die
+}


             reply	other threads:[~2024-08-11 20:24 UTC|newest]

Thread overview: 11+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-08-11 20:24 Zac Medico [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-01-25 12:32 [gentoo-commits] repo/gentoo:master commit in: app-misc/yq-go/ Arthur Zamarin
2025-01-25 12:31 Arthur Zamarin
2025-01-23  2:46 Sam James
2025-01-13  2:37 Zac Medico
2024-11-19  2:10 Zac Medico
2024-11-19  2:10 Zac Medico
2024-08-11 20:24 Zac Medico
2024-08-05 11:07 WANG Xuerui
2024-06-16 23:07 Zac Medico
2024-05-27  1:28 Zac Medico

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1723407853.fc83101dc52cada9570908e7f5850cd60af26aaa.zmedico@gentoo \
    --to=zmedico@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox